Promote artifact
Promotes artifact to space. Optional body: title, description.
curl -X PUT "//v1/source-artifact/example_string/promote" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN (API Key)" \
-d '{
"title": "example_string",
"description": "example_string"
}'
import requests
import json
url = "//v1/source-artifact/example_string/promote"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (API Key)"
}
data = {
"title": "example_string",
"description": "example_string"
}
response = requests.put(url, headers=headers, json=data)
print(response.json())
const response = await fetch("//v1/source-artifact/example_string/promote", {
method: "PUT",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (API Key)"
},
body: JSON.stringify({
"title": "example_string",
"description": "example_string"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"title": "example_string",
"description": "example_string"
}`)
req, err := http.NewRequest("PUT", "//v1/source-artifact/example_string/promote", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN (API Key)")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('//v1/source-artifact/example_string/promote')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Put.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN (API Key)'
request.body = '{
"title": "example_string",
"description": "example_string"
}'
response = http.request(request)
puts response.body
{}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
{
"error": "Internal Server Error",
"message": "An unexpected error occurred on the server",
"code": 500,
"requestId": "req_1234567890"
}
PUT
/v1/source-artifact/{artifactId}/promotePUT
Bearer Token (API Key)
Bearer Tokenstring
RequiredUser API Key. Create in the Ctxfy dashboard or via POST /v1/api-keys. Use Bearer <api_key> in Authorization header.
User API Key. Create in the Ctxfy dashboard or via POST /v1/api-keys. Use Bearer <api_key> in Authorization header.
Content-Typestring
RequiredThe media type of the request body
Options: application/json
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token (API Key). User API Key. Create in the Ctxfy dashboard or via POST /v1/api-keys. Use Bearer <api_key> in Authorization header.
Path Parameters
Responses
Promotion initiated
Was this page helpful?
Last updated Feb 19, 2026
Built with Documentation.AI